Package com.enonic.xp.project

## Class CreateProjectParams.Builder

- java.lang.Object
- - com.enonic.xp.project.CreateProjectParams.Builder

- Enclosing class:
    CreateProjectParams

      public static final class CreateProjectParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateProjectParams.Builder` | `addParents​(Collection<ProjectName> parent)` |
    `CreateProjectParams.Builder` | `addSiteConfig​(SiteConfig siteConfig)` |
    `CreateProjectParams` | `build()` |
    `CreateProjectParams.Builder` | `description​(String description)` |
    `CreateProjectParams.Builder` | `displayName​(String displayName)` |
    `CreateProjectParams.Builder` | `forceInitialization​(boolean forceInitialization)` |
    `CreateProjectParams.Builder` | `name​(ProjectName name)` |
    `CreateProjectParams.Builder` | `parent​(ProjectName parent)` |
    `CreateProjectParams.Builder` | `permissions​(AccessControlList permissions)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          public CreateProjectParams.Builder name​(ProjectName name)

    - #### displayName

          public CreateProjectParams.Builder displayName​(String displayName)

    - #### description

          public CreateProjectParams.Builder description​(String description)

    - #### addParents

          public CreateProjectParams.Builder addParents​(Collection<ProjectName> parent)

    - #### parent

          public CreateProjectParams.Builder parent​(ProjectName parent)

    - #### permissions

          public CreateProjectParams.Builder permissions​(AccessControlList permissions)

    - #### forceInitialization

          public CreateProjectParams.Builder forceInitialization​(boolean forceInitialization)

    - #### addSiteConfig

          public CreateProjectParams.Builder addSiteConfig​(SiteConfig siteConfig)

    - #### build

          public CreateProjectParams build()